### Function

# Gimp edit_copy

#### Declaration [src]

    gboolean
    gimp_edit_copy (
      gint num_drawables,
      const GimpItem** drawables
    )

#### Description [src]

Copy from the specified drawables.

If there is a selection in the image, then the area specified by the selection is copied from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the `gimp_edit_paste()` command. If there is no selection, then the specified drawables’ contents will be stored in the internal GIMP edit buffer. This procedure will fail if the selected area lies completely outside the bounds of the current drawables and there is nothing to copy from. All the drawables must belong to the same image.

#### Parameters

`num_drawables` | `gint`
| The number of drawables to save.
`drawables` | An array of `None`
| Drawables to copy from.
| The length of the array is specified in the `num_drawables` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE if the cut was successful, FALSE if there was nothing to copy from.